Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230624 - KNetworkManager appears in the GNOME menu
Summary: KNetworkManager appears in the GNOME menu
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: knetworkmanager
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-01 21:09 UTC by Aurelien Bompard
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-01 21:28:40 UTC


Attachments (Terms of Use)

Description Aurelien Bompard 2007-03-01 21:09:29 UTC
Description of problem:
KNetworkManager is a KDE-Only application, however it appears in the System menu
in GNOME. To prevent that, add "OnlyShowIn=KDE" to the desktop file, with a
patch or with the "--add-only-show-in KDE" option of desktop-file-install

Version-Release number of selected component (if applicable):
knetworkmanager-0.1-0.5.svn20061113.fc7

Comment 1 Dennis Gilmore 2007-03-01 21:28:40 UTC
knetworkmanager can be used just as well in gnome as KDE. 

Comment 2 Aurelien Bompard 2007-03-01 22:10:15 UTC
I don't agree, GNOME has nm-applet which does the same thing and integrates
better with GNOME (gnome-keyring)

Comment 3 Rex Dieter 2007-03-01 22:39:20 UTC
same as kpowersave, imo, both nm-applet and knetworkmanager should be
visable/usable from *any* desktop environment.

Comment 4 Aurelien Bompard 2007-03-02 06:53:17 UTC
Being technically usable and being in the menu is a different story. If feels
very strange to have kpowersave and knetworkmanager in the GNOME menu when there
are GNOME-specific equivalents. Knetworkmanager was even developped only to have
a KDE version of nm-applet.

When you have a multiuser system where one user uses KDE and the other uses
GNOME, those applications really look out of place in the other DE's menu.

Comment 5 Doncho Gunchev 2007-09-30 21:53:51 UTC
The same is true for k3b and nautilus-cd-burner, koffice and ooo... and also 
works in reverse.

What about a package like kmenu-gnome that moves some programs under different 
submenu (GNOME in this case). For example gmenu-kde rpm can move 
knetworkmanager, kpowersave... under KDE menu.


Note You need to log in before you can comment on or make changes to this bug.